*
* Generic triode model: 12AT7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:07 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 12AT7 A G K
.param GG {(V(G,K)+0.67585931)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.015420581*EP)^-1.768756)}
.param M2 {((0.45889017*URAMP(GG+EP/35.090106))^3.268756)}
.param P  {(0.0031809222*URAMP(GG+EP/76.46733)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0042575005*M1*M2)}
.param IG {(0.0015904611*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0016530623*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.5p
CGK G K 2.2p
CAK A K 0.5p
.ENDS
