*
* Generic triode model: 12AU7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:08 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 12AU7 A G K
.param GG {(V(G,K)+0.89005722)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.028826571*EP)^-0.90897681)}
.param M2 {((0.622671*URAMP(GG+EP/13.089625))^2.4089768)}
.param P  {(0.00087237591*URAMP(GG+EP/21.021735)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00055330711*M1*M2)}
.param IG {(0.00043618795*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00049917061*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 1.5p
CGK G K 1.6p
CAK A K 0.4p
.ENDS
