*
* Generic pentode model: 12BY7A
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:15 2008
*              Plate
*              | Screen Grid
*              | | Control Grid
*              | | | Cathode
*              | | | |
.SUBCKT 12BY7A A G2 G1 K
.param GG  {(V(G1,K)+-0.02185341)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.014593712*EG2)^-0.7027291)}
.param M2  {((0.68097344*URAMP(GG+EG2/21.860549))^2.2027291)}
.param P   {(0.0061475247*URAMP(GG+EG2/32.101912)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0036081888*M1*M2)}
.param IG  {(0.0030737623*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.82512147*(1-EP/(EP+10))^1.5+0.17487853))}
.param IK3 {(IK2*(EP+4890)/(EG2+4890))}
.param IK4 {(IK3-URAMP(IK3-(0.0033632383*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0033632383*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.063p
CGK G1 K  6.1p
C12 G1 G2 4.1p
CAK A  K  3.4p
.ENDS
