*
* Generic pentode model: 50HB26
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:41:23 2008
*              Plate
*              | Screen Grid
*              | | Control Grid
*              | | | Cathode
*              | | | |
.SUBCKT 50HB26 A G2 G1 K
.param GG  {(V(G1,K)+0.99999978)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.092479665*EG2)^-0.92218999)}
.param M2  {((0.6192743*URAMP(GG+EG2/4.1168586))^2.42219)}
.param P   {(0.0043389918*URAMP(GG+EG2/6.6478758)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0027704924*M1*M2)}
.param IG  {(0.0021694959*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.953564854*(1-EP/(EP+10))^1.5+0.046435146))}
.param IK3 {(IK2*(EP+1715)/(EG2+1715))}
.param IK4 {(IK3-URAMP(IK3-(0.0031844715*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0031844715*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  1.1p
CGK G1 K  9.8p
C12 G1 G2 6.5p
CAK A  K  6.7p
.ENDS
