*
* Generic triode model: 6AN8PT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:07 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6AN8PT A G K
.param GG {(V(G,K)+-1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.024591513*EP)^-1.3002423)}
.param M2 {((0.53566794*URAMP(GG+EP/18.881801))^2.8002423)}
.param P  {(0.0063199577*URAMP(GG+EP/35.249078)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0052482203*M1*M2)}
.param IG {(0.0031599788*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0034308188*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.8p
CGK G K 4.2p
CAK A K 2.4p
.ENDS
