*
* Generic triode model: 6BL8PT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:14 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT 6BL8PT A G K
.param GG {(V(G,K)+0.57453871)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.0091087169*EP)^-0.67124576)}
.param M2 {((0.69084764*URAMP(GG+EP/33.940276))^2.1712458)}
.param P  {(0.0040028722*URAMP(GG+EP/49.128454)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0023332764*M1*M2)}
.param IG {(0.0020014361*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0021242724*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.1p
CGK G K 3.1p
CAK A K 3.4p
.ENDS
