*
* Generic pentode model: 6BQ5
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:19 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6BQ5 A G2 G1 K
.param GG  {(V(G1,K)+0.03372597)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.014266539*EG2)^-0.43210132)}
.param M2  {((0.7763568*URAMP(GG+EG2/15.676066))^1.9321013)}
.param P   {(0.0040800354*URAMP(GG+EG2/20.191832)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0023829269*M1*M2)}
.param IG  {(0.0020400177*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.904015183*(1-EP/(EP+10))^1.5+0.095984817))}
.param IK3 {(IK2*(EP+2486)/(EG2+2486))}
.param IK4 {(IK3-URAMP(IK3-(0.0023468355*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0023468355*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.5p
CGK G1 K  6.2p
C12 G1 G2 4.1p
CAK A  K  6p
.ENDS
