*
* Generic pentode model: 6BR7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:24 2008
*            Plate
*            | Screen Grid
*            | | Control Grid
*            | | | Cathode
*            | | | |
.SUBCKT 6BR7 A G2 G1 K
.param GG  {(V(G1,K)+0.48180983)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.013959713*EG2)^-0.49250535)}
.param M2  {((0.75282106*URAMP(GG+EG2/17.706591))^1.9925054)}
.param P   {(0.00084041925*URAMP(GG+EG2/23.520318)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.00048560243*M1*M2)}
.param IG  {(0.00042020962*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.76161675*(1-EP/(EP+10))^1.5+0.23838325))}
.param IK3 {(IK2*(EP+4400)/(EG2+4400))}
.param IK4 {(IK3-URAMP(IK3-(0.00047437278*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.00047437278*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.01p
CGK G1 K  2.4p
C12 G1 G2 1.6p
CAK A  K  4p
.ENDS
