*
* Generic triode model: 6EM72
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:39:58 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT 6EM72 A G K
.param GG {(V(G,K)+1)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.14621502*EP)^-1.6688267)}
.param M2 {((0.47336133*URAMP(GG+EP/3.6018096))^3.1688267)}
.param P  {(0.0036325945*URAMP(GG+EP/7.6090068)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0043402717*M1*M2)}
.param IG {(0.0018162972*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0025554449*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 10p
CGK G K 7p
CAK A K 1.8p
.ENDS
