*
* Generic pentode model: 6RB11
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:50 2008
*             Plate
*             | Screen Grid
*             | | Control Grid
*             | | | Cathode
*             | | | |
.SUBCKT 6RB11 A G2 G1 K
.param GG  {(V(G1,K)+0.65537204)}
.param EP  {URAMP(V(A,K))}
.param EG  {URAMP(V(G1,K))}
.param EG2 {URAMP(V(G2,K))}
.param M1  {((0.11100294*EG2)^-2.2938121)}
.param M2  {((0.39538068*URAMP(GG+EG2/5.4468766))^3.7938121)}
.param P   {(0.0034776823*URAMP(GG+EG2/13.776284)^1.5)}
.param IK  {(U(GG)*P+(1-U(GG))*0.0092134348*M1*M2)}
.param IG  {(0.0017388412*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
.param IK2 {((IK-IG)*(1-0.4*(EXP(-EP/(EG2+1e-10)*15)-EXP(-15))))}
.param IG2T {(IK2*(0.957316208*(1-EP/(EP+10))^1.5+0.042683792))}
.param IK3 {(IK2*(EP+2500)/(EG2+2500))}
.param IK4 {(IK3-URAMP(IK3-(0.0021242915*(EP+URAMP(EG2-EP))^1.5)))}
.param IP  {URAMP(IK4-IG2T-URAMP(IK4-IG2T-(0.0021242915*EP^1.5)))}
BIAK A  K I=IP+1e-10*V(A,K)
BIG2 G2 K I=URAMP(IK4-IP)
BIGK G1 K I=IG
* CAPS
CGA G1 A  0.7p
CGK G1 K  5.6p
C12 G1 G2 3.7p
CAK A  K  6.3p
.ENDS
