*
* Generic triode model: 6SL7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:56 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6SL7 A G K
.param GG {(V(G,K)+0.34892993)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.00093777395*EP)^-0.098159943)}
.param M2 {((0.9385794*URAMP(GG+EP/65.496168))^1.5981599)}
.param P  {(0.00080166786*URAMP(GG+EP/69.782235)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00061341966*M1*M2)}
.param IG {(0.00040083393*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00041812772*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.8p
CGK G K 3.4p
CAK A K 3.8p
.ENDS
