*
* Generic triode model: 6SN7
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:40:58 2008
*            Plate
*            | Grid
*            | | Cathode
*            | | |
.SUBCKT 6SN7 A G K
.param GG {(V(G,K)+0.54900933)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.020494606*EP)^-0.76277031)}
.param M2 {((0.66290422*URAMP(GG+EP/16.448024))^2.2627703)}
.param P  {(0.0012465111*URAMP(GG+EP/24.812067)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00074417047*M1*M2)}
.param IG {(0.0003834058*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0006816103*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 4p
CGK G K 3p
CAK A K 1.2p
.ENDS
