*
* Generic triode model: ECC33
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:38 2008
*             Plate
*             | Grid
*             | | Cathode
*             | | |
.SUBCKT ECC33 A G K
.param GG {(V(G,K)+0.39854224)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.00456874*EP)^-0.2251333)}
.param M2 {((0.86949802*URAMP(GG+EP/28.564106))^1.7251333)}
.param P  {(0.001087821*URAMP(GG+EP/32.85126)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.00070978374*M1*M2)}
.param IG {(0.00054391049*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.00059395688*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 2.5p
CGK G K 3.5p
CAK A K 1.5p
.ENDS
