*
* Generic triode model: KT33CT
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:42:52 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT KT33CT A G K
.param GG {(V(G,K)+0.96267547)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.055090322*EP)^-0.90062349)}
.param M2 {((0.62483768*URAMP(GG+EP/6.8099498))^2.4006235)}
.param P  {(0.0032650112*URAMP(GG+EP/10.89875)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0020623072*M1*M2)}
.param IG {(0.0016325056*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.0020920259*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 8.4p
CGK G K 10.8p
CAK A K 10.9p
.ENDS
