*
* Generic triode model: Pen45T
* Copyright 2003--2008 by Ayumi Nakabayashi, All rights reserved.
* Thanks to Tooru Kuroda.
* Version 3.10, Generated on Sat Mar  8 22:43:02 2008
*              Plate
*              | Grid
*              | | Cathode
*              | | |
.SUBCKT Pen45T A G K
.param GG {(V(G,K)+0.77688676)}
.param EP {URAMP(V(A,K))}
.param EG {URAMP(V(G,K))}
.param M1 {((0.013260501*EP)^-0.37488998)}
.param M2 {((0.80004694*URAMP(GG+EP/15.078846))^1.87489)}
.param P  {(0.0032965978*URAMP(GG+EP/18.847452)^1.5)}
.param IK {(U(GG)*P+(1-U(GG))*0.0019602521*M1*M2)}
.param IG {(0.0016482989*EG^1.5*(EG/(EP+EG)*1.2+0.4))}
BIAK A K I=URAMP(IK-IG-URAMP(IK-IG-0.001914113*EP^1.5))+1e-10*V(A,K)
BIGK G K I=IG
* CAPS
CGA G A 9.6p
CGK G K 13.2p
CAK A K 11.9p
.ENDS
